# @(#)weberror.m4 for weberrord Shevek 1999
divert(-1)dnl
define(`_NO_DOT_', `[^\.]*')
define(`_WWW_', `^www')
define(`_NOT_WWW_', `!_WWW_')
define(`_WWW_INDI_', `^www\.[^\.]*\.')
define(`_SUFFIX_', `\(org\|com\|co.uk\)$')
define(`_ANY_', `.')

dnl define(`not', `!patsubst($1, `;', `;!')')
define(`_DURANGO_ANARRES_', `^durango.anarres.org$')
define(`_WWW_ANARRES_', `^www.anarres.org$')
define(`_NOT_ANARRES_', `!_DURANGO_ANARRES_;!_WWW_ANARRES_')

define(`_GROUP0_', `_WWW_\._NO_DOT_\._SUFFIX_')
define(`_EXTRA_GROUP0_', `\(hp\|ibm\|jnj\).hyatt.com$')
define(`_NOT_EXTRA_GROUP_', `!_EXTRA_GROUP0_')

define(`_TEST0_', `test.openworld.co.uk') dnl OW test servers

define(`_OW0_', `!.') dnl Redundant, but openworld.co.uk is an extra
define(`_EXTRA_OW0_', `openworld.co.uk;!test.openworld.co.uk')
define(`_EXTRA_OW1_', `\(worldexecutive.co.uk\|luxurytravel.com\)')
define(`_NOT_EXTRA_OW_', `!_EXTRA_OW0_;!_EXTRA_OW1_')

define(`_INDI0_', `_WWW_INDI_.*\._SUFFIX_')
define(`_INDI1_', `_NOT_WWW_') dnl Beware this one
define(`_EXTRA_INDI0_', `www.\(grosvenorhouse\|languageservices\|oldcoursehotel\|landmarklondon\|onealdwych\|thestaffordhotel\).co.uk')
define(`_EXTRA_INDI1_', `www.\(hoteladolphus\|lamangaclub\|bathspahotel\|themilestone\|wheatleigh\|vatuele\|hotelapa\|mountnelson\|quitadolagohotel\).com')
define(`_EXTRA_INDI2_', `www.mountnelson.co.za')
define(`_EXTRA_INDI3_', `www.\(observatoryhotel\|hyattadelaide\).com.au')
define(`_NOT_EXTRA_INDI_', `!_EXTRA_INDI0_;!_EXTRA_INDI1_;!_EXTRA_INDI2_;!_EXTRA_INDI3_')

define(`_NOT_EXTRA_', `_NOT_ANARRES_;_NOT_EXTRA_GROUP_;_NOT_EXTRA_OW_;_NOT_EXTRA_INDI_')

define(`_ERR_OTHER_', `*.*;error404.none;cgisys.none;weblet.none')
define(`_ERR_404_', `error404.*')
define(`_ERR_CGISYS_', `cgisys.*')
define(`_ERR_CGICONF_', `cgiconf.*')
define(`_ERR_JAVA_', `weblet.*')
define(`_ERR_ANY_', `*.*')
divert(0)dnl

# Anarres sites
_DURANGO_ANARRES_			_ERR_ANY_	al@anarres.org
_WWW_ANARRES_				_ERR_ANY_	shevek@anarres.org

# Open World sites
_OW0_;_NOT_EXTRA_			_ERR_404_	log-ow@lists.openworld.co.uk
_EXTRA_OW0_					_ERR_404_	log-ow@lists.openworld.co.uk
_EXTRA_OW1_					_ERR_404_	log-ow@lists.openworld.co.uk

_TEST0_						_ERR_ANY_	log-test@lists.openworld.co.uk

# Group sites
_GROUP0_;_NOT_EXTRA_		_ERR_404_	log-group@lists.openworld.co.uk
_EXTRA_GROUP0_				_ERR_404_	log-group@lists.openworld.co.uk

# Individual sites
_INDI0_;_NOT_EXTRA_			_ERR_404_	log-indi@lists.openworld.co.uk
_INDI1_;_NOT_EXTRA_			_ERR_404_	log-indi@lists.openworld.co.uk
_EXTRA_INDI0_				_ERR_404_	log-indi@lists.openworld.co.uk
_EXTRA_INDI1_				_ERR_404_	log-indi@lists.openworld.co.uk
_EXTRA_INDI2_				_ERR_404_	log-indi@lists.openworld.co.uk
_EXTRA_INDI3_				_ERR_404_	log-indi@lists.openworld.co.uk

# Other stuff
_ANY_						_ERR_CGISYS_	log-cgisys@lists.openworld.co.uk
_ANY_						_ERR_CGICONF_	log-cgiconf@lists.openworld.co.uk
_ANY_						_ERR_JAVA_	log-weblet@lists.openworld.co.uk

# Anything from the exclude list
_ANY_;_NOT_ANARRES_			_ERR_OTHER_	log-error@lists.openworld.co.uk
