#include <stdio.h>
#include <ctype.h>
#include "hash.h"

static int		 toknum = 0;
static hash_t	*symtab = NULL;

void
symtab_create(void)
{
	if (!symtab)
		symtab = hash_new(NULL, 0);
	else
		fprintf(stderr, "Symbol table already exists\n");
}

/* str must be nonconstant */
int
symtab_get(const char *str)
{
	void	*p;

	p = hash_get(symtab, str);
	if (p) return (int)(p);

	/* And LO, for it starteth with token 1 */
	hash_add(symtab, str, (void *)(++toknum));
	fprintf(stderr, "Added symbol %s to symtab as %d\n", str, toknum);
	return toknum;
}
