/*
 * C utility library
 * Copyright (C) 1999 Open World Ltd
 * Written by Shevek <shevek@anarres.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "library.h"
#include "config.h"
#include "log.h"

int		  m_argc;
char	**m_argv;

#if 0
int
main (int argc, char **argv)
{
	m_argc = argc;
	m_argv = argv;
	invoke();
	return 0;
}
#endif

void
library_init(int argc, char **argv)
{
	m_argc = argc;
	m_argv = argv;
}

/* Postcondition: stringp() */
char *
config_name(void)
{
	return (m_argc?m_argv[0]:NO_PROGRAM);
}
