
/*  A Bison parser, made from parser.y
 by  GNU Bison version 1.25
  */

#define YYBISON 1  /* Identify Bison output.  */

#define	T_RDF	258
#define	T_TOPIC	259
#define	T_PAGE	260
#define	T_TITLE	261
#define	T_DESC	262
#define	T_CATID	263
#define	T_LINK	264
#define	T_PRI	265
#define	T_WORD	266
#define	T_STRING	267
#define	T_CDATA	268

#line 1 "parser.y"

#include <stdio.h>
#include <unistd.h>
#include <getopt.h>
#include <sysexits.h>
#include "websuite.h"
#include "element.h"
#include "symtab.h"
#include "lexer.h"
#include "output.h"

/* This is a huge, monolithic file. Huge monolithic files are Bad(TM).
 * Tell me about it.
 * S.
 */


// #define yylex zzlex
#define CACHE_TOKENS

rope_t	*c_title = NULL;
rope_t	*c_desc = NULL;
rope_t	*c_pri = NULL;
FILE	*null = NULL;
FILE	*output = NULL;
FILE	*debug = NULL;
FILE	*error = NULL;

/* This makes them modifiable in data space */
static char KEY_TOPIC[] = "topic";
static char KEY_LINK[] = "link";

static char KEY_PAGE[] = "externalpage";
static char KEY_TITLE[] = "d:title";
static char KEY_DESC[] = "d:description";

static char KEY_CATID[] = "catid";
static char KEY_PRI[] = "priority";

static char	KEY_NARROW[] = "narrow";
static char	KEY_SYM[] = "symbolic";
static char KEY_NEWS[] = "newsgroup";
static char KEY_REL[] = "related";
static char KEY_LBAR[] = "letterbar";

static char KEY_UPD[] = "lastupdate";
static char KEY_EDIT[] = "editor";

static char KEY_ALIAS[] = "alias";
// static char KEY_TARG[] = "target";	/* I drop aliases */


#ifdef CACHE_TOKENS

static int ttype_topic;
static int ttype_link;
static int ttype_page;
static int ttype_title;
static int ttype_desc;
static int ttype_catid;
static int ttype_pri;
static int ttype_narrow;
static int ttype_sym;
static int ttype_news;
static int ttype_rel;
static int ttype_upd;
static int ttype_edit;

#define TYPE_TOPIC	ttype_topic
#define TYPE_LINK	ttype_link
#define TYPE_PAGE	ttype_page
#define TYPE_TITLE	ttype_title
#define TYPE_DESC	ttype_desc
#define TYPE_CATID	ttype_catid
#define TYPE_PRI	ttype_pri
#define TYPE_NARROW	ttype_narrow
#define TYPE_SYM	ttype_sym
#define TYPE_NEWS	ttype_news
#define TYPE_REL	ttype_rel
#define TYPE_UPD	ttype_upd
#define TYPE_EDIT	ttype_edit

#else

#define TYPE_TOPIC	symtab_get(KEY_TOPIC)
#define TYPE_LINK	symtab_get(KEY_LINK)
#define TYPE_LINK1	symtab_get(KEY_LINK1)
#define TYPE_PAGE	symtab_get(KEY_PAGE)
#define TYPE_TITLE	symtab_get(KEY_TITLE)
#define TYPE_DESC	symtab_get(KEY_DESC)
#define TYPE_CATID	symtab_get(KEY_CATID)
#define TYPE_PRI	symtab_get(KEY_PRI)
#define TYPE_NARROW	symtab_get(KEY_NARROW)
#define TYPE_SYM	symtab_get(KEY_SYM)
#define TYPE_NEWS	symtab_get(KEY_NEWS)
#define TYPE_REL	symtab_get(KEY_REL)
#define TYPE_UPD	symtab_get(KEY_UPD)
#define TYPE_EDIT	symtab_get(KEY_EDIT)

#endif

#define TYPE_ALIAS	symtab_get(KEY_ALIAS)
// #define TYPE_TARG	symtab_get(KEY_TARG)
#define TYPE_LBAR	symtab_get(KEY_LBAR)

int yylex();

static inline element_t * element_complete_process(element_t *e);

void
yyerror(char *str)
{
	fprintf(stderr, "yyerror: %s", str);
}


#line 118 "parser.y"
typedef union {
	int			 ttype;
	char		 text[TEXTLEN];
	rope_t		*rope;
	hash_t		*attr;
	element_t	*elem;
} YYSTYPE;
#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		23
#define	YYFLAG		-32768
#define	YYNTBASE	18

#define YYTRANSLATE(x) ((unsigned)(x) <= 268 ? yytranslate[x] : 24)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,    17,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,    15,
    14,    16,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     2,     3,     4,     5,
     6,     7,     8,     9,    10,    11,    12,    13
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     1,     6,    11,    14,    19,    25,    27,    30,    32
};

static const short yyrhs[] = {    -1,
    11,    14,    12,    18,     0,    15,    11,    18,    16,     0,
    19,    23,     0,    15,    17,    11,    16,     0,    15,    11,
    18,    17,    16,     0,    21,     0,    19,    20,     0,    13,
     0,    22,     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
   156,   161,   175,   180,   190,   197,   204,   208,   226,   231
};
#endif


#if YYDEBUG != 0 || defined (YYERROR_VERBOSE)

static const char * const yytname[] = {   "$","error","$undefined.","T_RDF",
"T_TOPIC","T_PAGE","T_TITLE","T_DESC","T_CATID","T_LINK","T_PRI","T_WORD","T_STRING",
"T_CDATA","'='","'<'","'>'","'/'","attribute_list","tag_start","tag_end","tag_single",
"tag_complete","element", NULL
};
#endif

static const short yyr1[] = {     0,
    18,    18,    19,    19,    20,    21,    22,    22,    23,    23
};

static const short yyr2[] = {     0,
     0,     4,     4,     2,     4,     5,     1,     2,     1,     1
};

static const short yydefact[] = {     0,
     9,     0,     0,     7,    10,     1,     0,     8,     4,     0,
     0,     0,     0,     3,     0,     0,     1,     6,     5,     2,
     0,     0,     0
};

static const short yydefgoto[] = {    11,
     3,     8,     4,     5,     9
};

static const short yypact[] = {   -12,
-32768,    -9,    -8,-32768,-32768,    -3,   -11,-32768,-32768,   -10,
    -7,     0,     1,-32768,    -4,    -2,    -3,-32768,-32768,-32768,
    15,    16,-32768
};

static const short yypgoto[] = {     2,
-32768,-32768,-32768,-32768,    17
};


#define	YYLAST		19


static const short yytable[] = {     6,
     1,     6,     2,    13,     1,    12,     7,    10,    14,    15,
    16,    18,    17,    19,    22,    23,    21,     0,    20
};

static const short yycheck[] = {    11,
    13,    11,    15,    14,    13,    17,    15,    11,    16,    17,
    11,    16,    12,    16,     0,     0,     0,    -1,    17
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "bison.simple"

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

#ifndef alloca
#ifdef __GNUC__
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi)
#include <alloca.h>
#else /* not sparc */
#if defined (MSDOS) && !defined (__TURBOC__)
#include <malloc.h>
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
#include <malloc.h>
 #pragma alloca
#else /* not MSDOS, __TURBOC__, or _AIX */
#ifdef __hpux
#ifdef __cplusplus
extern "C" {
void *alloca (unsigned int);
};
#else /* not __cplusplus */
void *alloca ();
#endif /* not __cplusplus */
#endif /* __hpux */
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc.  */
#endif /* not GNU C.  */
#endif /* alloca not defined.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	return(0)
#define YYABORT 	return(1)
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval, &yylloc)
#endif
#else /* not YYLSP_NEEDED */
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif /* not YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
int yyparse (void);
#endif

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (to, from, count)
     char *to;
     char *from;
     int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (char *to, char *from, int count)
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 196 "bison.simple"

/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
#ifdef __cplusplus
#define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else /* not __cplusplus */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
#endif /* not __cplusplus */
#else /* not YYPARSE_PARAM */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif /* not YYPARSE_PARAM */

int
yyparse(YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
      yyss = (short *) alloca (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss, (char *)yyss1, size * sizeof (*yyssp));
      yyvs = (YYSTYPE *) alloca (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs, (char *)yyvs1, size * sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) alloca (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls, (char *)yyls1, size * sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 1:
#line 157 "parser.y"
{
					// fprintf(debug, "Made attribute list\n");
					yyval.attr = NULL;
				;
    break;}
case 2:
#line 162 "parser.y"
{
					if (yyvsp[0].attr)
						yyval.attr = yyvsp[0].attr;
					else
						yyval.attr = hash_new((delete_t)rope_delete, 10);
					hash_add(yyval.attr, yyvsp[-3].text, yyvsp[-1].rope);
					/*
					fprintf(debug, "Added attribute %s = %s\n",
									$1, rope_chars($3));
					*/
				;
    break;}
case 3:
#line 176 "parser.y"
{
					// fprintf(debug, "Start tag %s\n", $2);
					yyval.elem = element_new(yyvsp[-2].text, yyvsp[-1].attr);
				;
    break;}
case 4:
#line 181 "parser.y"
{
					yyval.elem = yyvsp[-1].elem;
					/* The tag might have been destructed */
					if (yyvsp[0].elem)
						element_push_back(yyval.elem, yyvsp[0].elem);
					// if (!$2) fprintf(debug, "Hit destructed tag\n");
				;
    break;}
case 5:
#line 191 "parser.y"
{
					// fprintf(debug, "End tag %s\n", $3);
					yyval.ttype = symtab_get(yyvsp[-1].text);
				;
    break;}
case 6:
#line 198 "parser.y"
{
					// fprintf(debug, "Singleton tag %s\n", $2);
					yyval.elem = element_new(yyvsp[-3].text, yyvsp[-2].attr);
				;
    break;}
case 7:
#line 205 "parser.y"
{
					yyval.elem = yyvsp[0].elem;
				;
    break;}
case 8:
#line 209 "parser.y"
{
					if (element_type(yyvsp[-1].elem) != yyvsp[0].ttype) {
						fprintf(error,"Tag type %d does not match %d\n",
										element_type(yyvsp[-1].elem), yyvsp[0].ttype);
						yyerror("Tag stack error");
						exit(0);
					}

					/* Since all the tags we are interested in have
					 * a start and an end, we can do our special
					 * parsing here, using $2 as our tag type */

					/* Might return NULL */
					yyval.elem = element_complete_process(yyvsp[-1].elem);
				;
    break;}
case 9:
#line 227 "parser.y"
{
					yyval.elem = element_new(NULL, yylval.rope);
					// fprintf(debug, "Made CDATA element\n");
				;
    break;}
case 10:
#line 232 "parser.y"
{
					// fprintf(debug, "Made TAG element\n");
					/* This MIGHT be NULL for a destructed tag */
					yyval.elem = yyvsp[0].elem;
				;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 498 "bison.simple"

  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;
}
#line 239 "parser.y"


/* We have <x>cdata</x>, we want the cdata */
static inline rope_t *
parser_element_cdata(element_t *e)
{
	element_t	*d;
	rope_t		*r;
	int			 len;
	int			 i;

	len = element_elem_length(e);
	for (i = 0; i < len; i++) {
		d = element_elem_get(e, i);
		/* XXX Here we rely on that it is not a union, because
		 * we don't bother checking element_type() */
		r = element_cdata(d);
		if (r) return r;
	}

	return NULL;
}

static inline void
parser_topic(element_t *e)
{
	element_t	*d;
	rope_t		*r;
	int			 dtype;
	int			 len;
	int			 i;

	r = element_attr_get(e, "r:id");
	if (!r) {
		fprintf(error, "No 'r:id' in Topic tag\n");
		return;
	}
	else {
		fprintf(debug, "Opening file %s\n", rope_chars(r));
		/* Fatal if error */
		output_set(rope_chars(r));
		output = output_stream();
	}

	len = element_elem_length(e);
	for (i = 0; i < len; i++) {
		d = element_elem_get(e, i);
		/* If I made element_type() a macro, it would be faster */
		dtype = element_type(d);

		if (dtype == TYPE_LINK) {
			r = element_attr_get(d, "r:resource");
			if (r) {
				fprintf(output, "_TOPIC_LINK_(<%s>)\n", rope_chars(r));
			}
			else {
				fprintf(stderr, "No resource in link element\n");
			}
		}
		else if (dtype == TYPE_CATID) {
			/* Pull the catid */
			r = parser_element_cdata(d);
			if (r)
				fprintf(output, "_TOPIC_CATID_(<%s>)\n", rope_chars(r));
			else
				fprintf(stderr, "No CDATA in catid element\n");
		}
		else if (dtype == TYPE_TITLE) {
			r = parser_element_cdata(d);
			if (r)
				fprintf(output, "_TOPIC_TITLE_(<%s>)\n", rope_chars(r));
			else
				fprintf(stderr, "No CDATA in Title element\n");
		}

		/* Structure stuff */
		else if (dtype == TYPE_NARROW) {
			r = element_attr_get(d, "r:resource");
			if (r)
				fprintf(output, "_TOPIC_NARROW_(<%s>)\n",rope_chars(r));
			else
				fprintf(stderr, "No resource in narrow element\n");
		}
		else if (dtype == TYPE_SYM) {
			r = element_attr_get(d, "r:resource");
			if (r)
				fprintf(output, "_TOPIC_SYM_(<%s>)\n", rope_chars(r));
			else
				fprintf(stderr, "No resource in symbolic element\n");
		}
		else if (dtype == TYPE_NEWS) {
			r = element_attr_get(d, "r:resource");
			if (r)
				fprintf(output, "_TOPIC_NEWS_(<%s>)\n", rope_chars(r));
			else
				fprintf(stderr, "No resource in newsgroup element\n");
		}
		else if (dtype == TYPE_REL) {
			r = element_attr_get(d, "r:resource");
			if (r)
				fprintf(output, "_TOPIC_REL_(<%s>)\n", rope_chars(r));
			else
				fprintf(stderr, "No resource in related element\n");
		}
		else if (dtype == TYPE_LBAR) {
			r = element_attr_get(d, "r:resource");
			if (r)
				fprintf(output, "_TOPIC_LBAR_(<%s>)\n", rope_chars(r));
			else
				fprintf(stderr, "No resource in related element\n");
		}
		else if (dtype == TYPE_UPD) {
		}
		else if (dtype == TYPE_EDIT) {
		}

		else {
			fprintf(stderr, "Unrecognised element in TOPIC: %d\n",
							dtype);
		}
	}
}

static inline void
parser_page(element_t *e)
{
	rope_t		*link = NULL;
	rope_t		*title = NULL;
	rope_t		*desc = NULL;

	element_t	*d;
	int			 dtype;
	int			 len;
	int			 i;

	link = element_attr_get(e, "about");

	len = element_elem_length(e);
	for (i = 0; i < len; i++) {
		d = element_elem_get(e, i);
		dtype = element_type(d);
		if (dtype == TYPE_TITLE)
			title = parser_element_cdata(d);
		else if (dtype == TYPE_DESC)
			desc = parser_element_cdata(d);
		else if (dtype == TYPE_PRI)
			;
		else
			fprintf(stderr, "Unknown page dtype: %d\n", dtype);
	}

	fprintf(output, "_PAGE_PAGE_(<%s>, <%s>, <%s>)\n",
					title?rope_chars(title):"No title",
					desc?rope_chars(desc):"No description",
					link?rope_chars(link):"ERROR");
}

static inline element_t *
element_complete_process(element_t *e)
{
	/* Cache the values */
	int			 etype;

	etype = element_type(e);
	if (etype == TYPE_TOPIC) {
		parser_topic(e);
		element_delete(e);
		e = NULL;
	}
	else if (etype == TYPE_PAGE) {
		parser_page(e);
		element_delete(e);
		e = NULL;
	}
	else if (etype == TYPE_ALIAS) {
		element_delete(e);
		e = NULL;
	}

	return e;
}

#ifdef CACHE_TOKENS
static void
parser_cache_tokens()
{
/* This makes them modifiable in data space */
	ttype_topic = symtab_get(KEY_TOPIC);
	ttype_link = symtab_get(KEY_LINK);
	ttype_page = symtab_get(KEY_PAGE);
	ttype_title = symtab_get(KEY_TITLE);
	ttype_desc = symtab_get(KEY_DESC);
	ttype_catid = symtab_get(KEY_CATID);
	ttype_pri = symtab_get(KEY_PRI);
	ttype_narrow = symtab_get(KEY_NARROW);
	ttype_sym = symtab_get(KEY_SYM);
	ttype_news = symtab_get(KEY_NEWS);
	ttype_rel = symtab_get(KEY_REL);
	ttype_upd = symtab_get(KEY_UPD);
	ttype_edit = symtab_get(KEY_EDIT);
}
#endif

void
usage(void)
{
	printf("Usage: rdfparser -s | -d\n");
	printf("\t-c:\tParse RDF content file\n");
	printf("\t-s:\tParse RDF structure file\n");
}

int
main(int argc, char *argv[])
{
	int	 c;

	library_init("rdfparser");

	while ((c = getopt(argc, argv, "cs")) != EOF) {
		switch(c) {
			case 'c':
				output_type_set(OUTPUT_CONTENT);
				break;
			case 's':
				output_type_set(OUTPUT_STRUCTURE);
				break;
			default:
				fprintf(stderr, "Unrecognised option %c\n", c);
				usage();
				exit(EX_USAGE);
		}
	}
	argc -= optind;
	argv += optind;

	if (!output_type_get()) {
		fprintf(stderr, "No output type specified\n");
		usage();
		exit(EX_USAGE);
	}

	fprintf(stderr, "Output streams...\n");
	null = fopen("/dev/null", "w");
	if (!null) {
		perror("fopen /dev/null");
		return 1;
	}
	output = stdout;
	debug = stdout;
	error = stderr;

	fprintf(stderr, "Symbol table...\n");
	symtab_create();

#ifdef CACHE_TOKENS
	fprintf(stderr, "Table cache overlay...\n");
	parser_cache_tokens();
#endif

	yyparse();

	return 0;
}
